Changeset 1446 for ThirdParty/Metis


Ignore:
Timestamp:
Nov 22, 2009 1:47:29 PM (11 years ago)
Author:
stefan
Message:

stop using COIN_HAS_PROJECT; some cleanup; use MODULE_BLAS in Mumps

Location:
ThirdParty/Metis/branches/BSPsplit
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/branches/BSPsplit/Makefile.in

    r1436 r1446  
    128128distuninstallcheck_listfiles = find . -type f -print
    129129distcleancheck_listfiles = find . -type f -print
     130ABSBUILDDIR = @ABSBUILDDIR@
    130131ACLOCAL = @ACLOCAL@
    131132ADDLIBS = @ADDLIBS@
     
    147148CDEFS = @CDEFS@
    148149CFLAGS = @CFLAGS@
    149 COIN_HAS_METIS_FALSE = @COIN_HAS_METIS_FALSE@
    150 COIN_HAS_METIS_PREINSTALLED_FALSE = @COIN_HAS_METIS_PREINSTALLED_FALSE@
    151 COIN_HAS_METIS_PREINSTALLED_TRUE = @COIN_HAS_METIS_PREINSTALLED_TRUE@
    152 COIN_HAS_METIS_TRUE = @COIN_HAS_METIS_TRUE@
    153150CPP = @CPP@
    154151CPPFLAGS = @CPPFLAGS@
     
    191188MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
    192189MAKEINFO = @MAKEINFO@
    193 METISDATADIR = @METISDATADIR@
    194190METISDIR = @METISDIR@
    195 METISDOCDIR = @METISDOCDIR@
    196 METISINSTDIR = @METISINSTDIR@
    197 METISOBJDIR = @METISOBJDIR@
    198 METISSRCDIR = @METISSRCDIR@
    199191MPICC = @MPICC@
    200192OBJEXT = @OBJEXT@
  • ThirdParty/Metis/branches/BSPsplit/configure

    r1430 r1446  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS METISSRCDIR METISOBJDIR METISDOCDIR METISDATADIR METISINSTDIR COIN_HAS_METIS_TRUE COIN_HAS_METIS_FALSE COIN_HAS_METIS_PREINSTALLED_TRUE COIN_HAS_METIS_PREINSTALLED_FALSE METISDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS METISDIR LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10841084  --with-tags[=TAGS]
    10851085                          include additional configurations [automatic]
    1086   --with-metis-instdir prefix of installation directory for precompiled Metis
    1087                           package
    1088   --with-metis-srcdir source directory for Metis package
    1089   --with-metis-objdir object directory for Metis package (if different from
    1090                           source directory in VPATH compilation)
    1091   --with-coin-instdir     prefix of installation directory for precompiled
    1092                           COIN packages
    10931086
    10941087Some influential environment variables:
     
    47294722*-*-irix6*)
    47304723  # Find out which ABI we are using.
    4731   echo '#line 4731 "configure"' > conftest.$ac_ext
     4724  echo '#line 4724 "configure"' > conftest.$ac_ext
    47324725  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47334726  (eval $ac_compile) 2>&5
     
    63286321
    63296322# Provide some information about the compiler.
    6330 echo "$as_me:6330:" \
     6323echo "$as_me:6323:" \
    63316324     "checking for Fortran 77 compiler version" >&5
    63326325ac_compiler=`set X $ac_compile; echo $2`
     
    73957388   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73967389   -e 's:$: $lt_compiler_flag:'`
    7397    (eval echo "\"\$as_me:7397: $lt_compile\"" >&5)
     7390   (eval echo "\"\$as_me:7390: $lt_compile\"" >&5)
    73987391   (eval "$lt_compile" 2>conftest.err)
    73997392   ac_status=$?
    74007393   cat conftest.err >&5
    7401    echo "$as_me:7401: \$? = $ac_status" >&5
     7394   echo "$as_me:7394: \$? = $ac_status" >&5
    74027395   if (exit $ac_status) && test -s "$ac_outfile"; then
    74037396     # The compiler can only warn and ignore the option if not recognized
     
    76637656   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76647657   -e 's:$: $lt_compiler_flag:'`
    7665    (eval echo "\"\$as_me:7665: $lt_compile\"" >&5)
     7658   (eval echo "\"\$as_me:7658: $lt_compile\"" >&5)
    76667659   (eval "$lt_compile" 2>conftest.err)
    76677660   ac_status=$?
    76687661   cat conftest.err >&5
    7669    echo "$as_me:7669: \$? = $ac_status" >&5
     7662   echo "$as_me:7662: \$? = $ac_status" >&5
    76707663   if (exit $ac_status) && test -s "$ac_outfile"; then
    76717664     # The compiler can only warn and ignore the option if not recognized
     
    77677760   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77687761   -e 's:$: $lt_compiler_flag:'`
    7769    (eval echo "\"\$as_me:7769: $lt_compile\"" >&5)
     7762   (eval echo "\"\$as_me:7762: $lt_compile\"" >&5)
    77707763   (eval "$lt_compile" 2>out/conftest.err)
    77717764   ac_status=$?
    77727765   cat out/conftest.err >&5
    7773    echo "$as_me:7773: \$? = $ac_status" >&5
     7766   echo "$as_me:7766: \$? = $ac_status" >&5
    77747767   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    77757768   then
     
    1011210105  lt_status=$lt_dlunknown
    1011310106  cat > conftest.$ac_ext <<EOF
    10114 #line 10114 "configure"
     10107#line 10107 "configure"
    1011510108#include "confdefs.h"
    1011610109
     
    1021210205  lt_status=$lt_dlunknown
    1021310206  cat > conftest.$ac_ext <<EOF
    10214 #line 10214 "configure"
     10207#line 10207 "configure"
    1021510208#include "confdefs.h"
    1021610209
     
    1255612549   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1255712550   -e 's:$: $lt_compiler_flag:'`
    12558    (eval echo "\"\$as_me:12558: $lt_compile\"" >&5)
     12551   (eval echo "\"\$as_me:12551: $lt_compile\"" >&5)
    1255912552   (eval "$lt_compile" 2>conftest.err)
    1256012553   ac_status=$?
    1256112554   cat conftest.err >&5
    12562    echo "$as_me:12562: \$? = $ac_status" >&5
     12555   echo "$as_me:12555: \$? = $ac_status" >&5
    1256312556   if (exit $ac_status) && test -s "$ac_outfile"; then
    1256412557     # The compiler can only warn and ignore the option if not recognized
     
    1266012653   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1266112654   -e 's:$: $lt_compiler_flag:'`
    12662    (eval echo "\"\$as_me:12662: $lt_compile\"" >&5)
     12655   (eval echo "\"\$as_me:12655: $lt_compile\"" >&5)
    1266312656   (eval "$lt_compile" 2>out/conftest.err)
    1266412657   ac_status=$?
    1266512658   cat out/conftest.err >&5
    12666    echo "$as_me:12666: \$? = $ac_status" >&5
     12659   echo "$as_me:12659: \$? = $ac_status" >&5
    1266712660   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1266812661   then
     
    1423014223   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1423114224   -e 's:$: $lt_compiler_flag:'`
    14232    (eval echo "\"\$as_me:14232: $lt_compile\"" >&5)
     14225   (eval echo "\"\$as_me:14225: $lt_compile\"" >&5)
    1423314226   (eval "$lt_compile" 2>conftest.err)
    1423414227   ac_status=$?
    1423514228   cat conftest.err >&5
    14236    echo "$as_me:14236: \$? = $ac_status" >&5
     14229   echo "$as_me:14229: \$? = $ac_status" >&5
    1423714230   if (exit $ac_status) && test -s "$ac_outfile"; then
    1423814231     # The compiler can only warn and ignore the option if not recognized
     
    1433414327   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1433514328   -e 's:$: $lt_compiler_flag:'`
    14336    (eval echo "\"\$as_me:14336: $lt_compile\"" >&5)
     14329   (eval echo "\"\$as_me:14329: $lt_compile\"" >&5)
    1433714330   (eval "$lt_compile" 2>out/conftest.err)
    1433814331   ac_status=$?
    1433914332   cat out/conftest.err >&5
    14340    echo "$as_me:14340: \$? = $ac_status" >&5
     14333   echo "$as_me:14333: \$? = $ac_status" >&5
    1434114334   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1434214335   then
     
    1654116534   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1654216535   -e 's:$: $lt_compiler_flag:'`
    16543    (eval echo "\"\$as_me:16543: $lt_compile\"" >&5)
     16536   (eval echo "\"\$as_me:16536: $lt_compile\"" >&5)
    1654416537   (eval "$lt_compile" 2>conftest.err)
    1654516538   ac_status=$?
    1654616539   cat conftest.err >&5
    16547    echo "$as_me:16547: \$? = $ac_status" >&5
     16540   echo "$as_me:16540: \$? = $ac_status" >&5
    1654816541   if (exit $ac_status) && test -s "$ac_outfile"; then
    1654916542     # The compiler can only warn and ignore the option if not recognized
     
    1680916802   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1681016803   -e 's:$: $lt_compiler_flag:'`
    16811    (eval echo "\"\$as_me:16811: $lt_compile\"" >&5)
     16804   (eval echo "\"\$as_me:16804: $lt_compile\"" >&5)
    1681216805   (eval "$lt_compile" 2>conftest.err)
    1681316806   ac_status=$?
    1681416807   cat conftest.err >&5
    16815    echo "$as_me:16815: \$? = $ac_status" >&5
     16808   echo "$as_me:16808: \$? = $ac_status" >&5
    1681616809   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681716810     # The compiler can only warn and ignore the option if not recognized
     
    1691316906   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691416907   -e 's:$: $lt_compiler_flag:'`
    16915    (eval echo "\"\$as_me:16915: $lt_compile\"" >&5)
     16908   (eval echo "\"\$as_me:16908: $lt_compile\"" >&5)
    1691616909   (eval "$lt_compile" 2>out/conftest.err)
    1691716910   ac_status=$?
    1691816911   cat out/conftest.err >&5
    16919    echo "$as_me:16919: \$? = $ac_status" >&5
     16912   echo "$as_me:16912: \$? = $ac_status" >&5
    1692016913   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1692116914   then
     
    1981519808}
    1981619809
    19817 # ## Check if Metis is already provided by user
    19818 echo "$as_me:$LINENO: checking for COIN project Metis in " >&5
    19819 echo $ECHO_N "checking for COIN project Metis in ... $ECHO_C" >&6
    19820 # First check, if the sub-project is actually available (ToDo: allow
    19821 # other locations)
    19822 
    19823 #replace backslashes by underscore
    19824 #m4_define([escape], m4_bpatsubsts([Metis],[/],[_]))
    19825 
    19826 coin_has_metis=notGiven
    19827 if test x"$COIN_SKIP_PROJECTS" != x; then
    19828   for dir in $COIN_SKIP_PROJECTS; do
    19829     if test $dir = Metis; then
    19830       coin_has_metis=skipping
    19831     fi
    19832   done
    19833 fi
    19834 
    19835 
    19836 
    19837 
    19838 
    19839 
    19840 METISSRCDIR=This_Variable_Is_Not_Set
    19841 METISOBJDIR=This_Variable_Is_Not_Set
    19842 METISDOCDIR=This_Variable_Is_Not_Set
    19843 METISDATADIR=This_Variable_Is_Not_Set
    19844 METISINSTDIR=This_Variable_Is_Not_Set
    19845 
    19846 if test $coin_has_metis != skipping; then
    19847   if test $PACKAGE_TARNAME = metis; then
    19848     coin_has_metis=.
    19849   else
    19850 
    19851 # Check whether --with-m4_tolower(Metis)-instdir or --without-m4_tolower(Metis)-instdir was given.
    19852 if test "${with_metis_instdir+set}" = set; then
    19853   withval="$with_metis_instdir"
    19854   coin_has_metis=installed
    19855                  if test -d "$withval"; then : ; else
    19856                    { { echo "$as_me:$LINENO: error: argument for --with-metis-instdir not a directory" >&5
    19857 echo "$as_me: error: argument for --with-metis-instdir not a directory" >&2;}
    19858    { (exit 1); exit 1; }; }
    19859                  fi
    19860                  METISINSTDIR=`cd $withval; pwd`
    19861 fi;
    19862 
    19863 
    19864 # Check whether --with-m4_tolower(Metis)-srcdir or --without-m4_tolower(Metis)-srcdir was given.
    19865 if test "${with_metis_srcdir+set}" = set; then
    19866   withval="$with_metis_srcdir"
    19867   if test "$coin_has_metis" = installed; then
    19868                    { { echo "$as_me:$LINENO: error: --with-$metis-srcdir cannot be given together with --with-metis-instdir" >&5
    19869 echo "$as_me: error: --with-$metis-srcdir cannot be given together with --with-metis-instdir" >&2;}
    19870    { (exit 1); exit 1; }; }
    19871                  fi
    19872                  if test -d "$withval"; then : ; else
    19873                    { { echo "$as_me:$LINENO: error: argument for --with-metis-srcdir not a directory" >&5
    19874 echo "$as_me: error: argument for --with-metis-srcdir not a directory" >&2;}
    19875    { (exit 1); exit 1; }; }
    19876                  fi
    19877                  coin_has_metis=$withval
    19878                  METISSRCDIR=`cd $withval; pwd`
    19879 fi;
    19880 
    19881 
    19882 # Check whether --with-m4_tolower(Metis)-objdir or --without-m4_tolower(Metis)-objdir was given.
    19883 if test "${with_metis_objdir+set}" = set; then
    19884   withval="$with_metis_objdir"
    19885   if test "$coin_has_metis" = installed; then
    19886                    { { echo "$as_me:$LINENO: error: --with-metis-objdir cannot be given together with --with-metis-instdir" >&5
    19887 echo "$as_me: error: --with-metis-objdir cannot be given together with --with-metis-instdir" >&2;}
    19888    { (exit 1); exit 1; }; }
    19889                  fi
    19890                  if test "$coin_has_metis" = notGiven; then
    19891                    { { echo "$as_me:$LINENO: error: --with-metis-objdir must be accompanied by --with-metis-srcdir" >&5
    19892 echo "$as_me: error: --with-metis-objdir must be accompanied by --with-metis-srcdir" >&2;}
    19893    { (exit 1); exit 1; }; }
    19894                  fi
    19895                  if test -d "$withval"; then : ; else
    19896                    { { echo "$as_me:$LINENO: error: argument for --with-metis-objdir not a directory" >&5
    19897 echo "$as_me: error: argument for --with-metis-objdir not a directory" >&2;}
    19898    { (exit 1); exit 1; }; }
    19899                  fi
    19900                  METISOBJDIR=`cd $withval; pwd`
    19901 else
    19902   METISOBJDIR="$METISSRCDIR"
    19903 fi;
    19904 
    19905     # if we still don't have a location, check for generic flag
    19906     if test "$coin_has_metis" = notGiven; then
    19907 
    19908 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    19909 if test "${with_coin_instdir+set}" = set; then
    19910   withval="$with_coin_instdir"
    19911   if test -d "$withval"; then : ; else
    19912                      { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    19913 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    19914    { (exit 1); exit 1; }; }
    19915                    fi
    19916                    if test -r $withval/share/doc/coin/Metis/README;
    19917 
    19918                    then
    19919                      coin_has_metis=installed
    19920                      METISINSTDIR=`cd $withval; pwd`
    19921                    fi
    19922 fi;
    19923     fi
    19924 
    19925     # check if project can be found in /Metis
    19926     # this is for the classic setup when this macro is called from AC_COIN_MAIN_SUBDIR
    19927     fulldir=Metis
    19928 
    19929     if test "$coin_has_metis" = notGiven; then
    19930       if test -d $srcdir/$fulldir; then
    19931          coin_has_metis=$fulldir
    19932 
    19933 
    19934       fi
    19935     fi
    19936 
    19937     # check if project can be found in ..//Metis
    19938     # this is for the classic setup when this macro is called from the project main directory
    19939     fulldir=../Metis
    19940 
    19941     if test "$coin_has_metis" = notGiven; then
    19942       if test -d $srcdir/$fulldir; then
    19943          coin_has_metis=$fulldir
    19944 
    19945 
    19946       fi
    19947     fi
    19948   fi
    19949 fi
    19950 
    19951 if test $coin_has_metis != notGiven &&
    19952    test $coin_has_metis != skipping; then
    19953   # Set the #define if the component is available
    19954 
    19955 cat >>confdefs.h <<\_ACEOF
    19956 #define COIN_HAS_METIS 1
    19957 _ACEOF
    19958 
    19959 
    19960   if test $coin_has_metis = installed; then
    19961     METISDOCDIR=$METISINSTDIR/share/doc/coin/Metis
    19962        METISDATADIR=$METISINSTDIR/share/coin/Metis
    19963 
    19964   else
    19965     if test "$METISOBJDIR" = This_Variable_Is_Not_Set; then
    19966       # Set the variables for source and object code location
    19967       METISSRCDIR=`cd $srcdir/$coin_has_metis; pwd`
    19968       METISOBJDIR=`pwd`/$coin_has_metis
    19969       METISDOCDIR=$abs_lib_dir/../share/doc/coin/Metis
    19970 
    19971       METISDATADIR=$METISOBJDIR
    19972     else
    19973       # This is just a guess:
    19974       METISDOCDIR=$METISOBJDIR/../share/doc/coin/Metis
    19975          METISDATADIR=$METISOBJDIR/../share/coin/Metis
    19976 
    19977     fi
    19978   fi
    19979 fi
    19980 
    19981 # Define the Makefile conditional
    19982 
    19983 
    19984 if test $coin_has_metis != notGiven &&
    19985                 test $coin_has_metis != skipping; then
    19986   COIN_HAS_METIS_TRUE=
    19987   COIN_HAS_METIS_FALSE='#'
    19988 else
    19989   COIN_HAS_METIS_TRUE='#'
    19990   COIN_HAS_METIS_FALSE=
    19991 fi
    19992 
    19993 
    19994 
    19995 if test $coin_has_metis = installed; then
    19996   COIN_HAS_METIS_PREINSTALLED_TRUE=
    19997   COIN_HAS_METIS_PREINSTALLED_FALSE='#'
    19998 else
    19999   COIN_HAS_METIS_PREINSTALLED_TRUE='#'
    20000   COIN_HAS_METIS_PREINSTALLED_FALSE=
    20001 fi
    20002 
    20003 
    20004 if test $coin_has_metis = installed; then
    20005   echo "$as_me:$LINENO: result: installed in $METISINSTDIR" >&5
    20006 echo "${ECHO_T}installed in $METISINSTDIR" >&6
    20007   if test -r $METISINSTDIR/share/doc/coin/Metis/README; then
    20008 
    20009   :
    20010 else
    20011   { { echo "$as_me:$LINENO: error: $METISINSTDIR/share/doc/coin/Metis/README should be available if Metis is installed" >&5
    20012 echo "$as_me: error: $METISINSTDIR/share/doc/coin/Metis/README should be available if Metis is installed" >&2;}
    20013    { (exit 1); exit 1; }; }
    20014   :
    20015 fi
    20016 
    20017 
    20018 
    20019 else
    20020   echo "$as_me:$LINENO: result: $coin_has_metis" >&5
    20021 echo "${ECHO_T}$coin_has_metis" >&6
    20022   if test $coin_has_metis != notGiven &&
    20023      test $coin_has_metis != skipping; then
    20024     echo "$as_me:$LINENO: checking for source code location of Metis" >&5
    20025 echo $ECHO_N "checking for source code location of Metis... $ECHO_C" >&6
    20026     echo "$as_me:$LINENO: result: $METISSRCDIR" >&5
    20027 echo "${ECHO_T}$METISSRCDIR" >&6
    20028     echo "$as_me:$LINENO: checking for object code location of Metis" >&5
    20029 echo $ECHO_N "checking for object code location of Metis... $ECHO_C" >&6
    20030     echo "$as_me:$LINENO: result: $METISOBJDIR" >&5
    20031 echo "${ECHO_T}$METISOBJDIR" >&6
    20032   fi
    20033 fi
    20034 
    20035 
    20036 #rm -f $MAKEOKFILE
    20037 #if test $coin_has_metis = yes && test "$use_metis" != BUILD; then
    20038 #  AC_MSG_NOTICE([The Metis sources don't need to be compiled])
    20039 #  MAKEOKFILE=
    20040 #else
    20041 #  touch $MAKEOKFILE
    20042 #fi
    20043 #AC_SUBST(MAKEOKFILE)
    20044 #AM_CONDITIONAL(SKIPMAKE, test -z "$MAKEOKFILE")
    20045 
    2004619810# We need to create a dummy header file for Windows
    2004719811echo "$as_me:$LINENO: checking whether we need to create a dummy strings.h file" >&5
     
    2021819982  fi
    2021919983
     19984  # need to come before AC_OUTPUT
     19985  if test x$coin_projectdir != xyes; then
     19986    # write coin_subdirs to a file so that project configuration knows where to find uninstalled projects
     19987    echo $coin_subdirs > coin_subdirs.txt
     19988  else
     19989    # substitute for OBJDIR, needed to setup .pc file for uninstalled project
     19990    ABSBUILDDIR="`pwd`"
     19991
     19992  fi
     19993
    2022019994  cat >confcache <<\_ACEOF
    2022119995# This file is a shell script that caches the results of configure
     
    2037920153Usually this means the macro was only invoked conditionally." >&5
    2038020154echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
    20381 Usually this means the macro was only invoked conditionally." >&2;}
    20382    { (exit 1); exit 1; }; }
    20383 fi
    20384 if test -z "${COIN_HAS_METIS_TRUE}" && test -z "${COIN_HAS_METIS_FALSE}"; then
    20385   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_METIS\" was never defined.
    20386 Usually this means the macro was only invoked conditionally." >&5
    20387 echo "$as_me: error: conditional \"COIN_HAS_METIS\" was never defined.
    20388 Usually this means the macro was only invoked conditionally." >&2;}
    20389    { (exit 1); exit 1; }; }
    20390 fi
    20391 if test -z "${COIN_HAS_METIS_PREINSTALLED_TRUE}" && test -z "${COIN_HAS_METIS_PREINSTALLED_FALSE}"; then
    20392   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_METIS_PREINSTALLED\" was never defined.
    20393 Usually this means the macro was only invoked conditionally." >&5
    20394 echo "$as_me: error: conditional \"COIN_HAS_METIS_PREINSTALLED\" was never defined.
    2039520155Usually this means the macro was only invoked conditionally." >&2;}
    2039620156   { (exit 1); exit 1; }; }
     
    2101820778s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2101920779s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    21020 s,@METISSRCDIR@,$METISSRCDIR,;t t
    21021 s,@METISOBJDIR@,$METISOBJDIR,;t t
    21022 s,@METISDOCDIR@,$METISDOCDIR,;t t
    21023 s,@METISDATADIR@,$METISDATADIR,;t t
    21024 s,@METISINSTDIR@,$METISINSTDIR,;t t
    21025 s,@COIN_HAS_METIS_TRUE@,$COIN_HAS_METIS_TRUE,;t t
    21026 s,@COIN_HAS_METIS_FALSE@,$COIN_HAS_METIS_FALSE,;t t
    21027 s,@COIN_HAS_METIS_PREINSTALLED_TRUE@,$COIN_HAS_METIS_PREINSTALLED_TRUE,;t t
    21028 s,@COIN_HAS_METIS_PREINSTALLED_FALSE@,$COIN_HAS_METIS_PREINSTALLED_FALSE,;t t
    2102920780s,@METISDIR@,$METISDIR,;t t
    2103020781s,@LIBEXT@,$LIBEXT,;t t
    2103120782s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
     20783s,@ABSBUILDDIR@,$ABSBUILDDIR,;t t
    2103220784s,@LIBOBJS@,$LIBOBJS,;t t
    2103320785s,@LTLIBOBJS@,$LTLIBOBJS,;t t
  • ThirdParty/Metis/branches/BSPsplit/configure.ac

    r1430 r1446  
    5454AC_COIN_INIT_AUTO_TOOLS
    5555
    56 # ## Check if Metis is already provided by user
    57 AC_COIN_HAS_PROJECT(Metis)
    58 
    59 #rm -f $MAKEOKFILE
    60 #if test $coin_has_metis = yes && test "$use_metis" != BUILD; then
    61 #  AC_MSG_NOTICE([The Metis sources don't need to be compiled])
    62 #  MAKEOKFILE=
    63 #else
    64 #  touch $MAKEOKFILE
    65 #fi
    66 #AC_SUBST(MAKEOKFILE)
    67 #AM_CONDITIONAL(SKIPMAKE, test -z "$MAKEOKFILE")
    68 
    6956# We need to create a dummy header file for Windows
    7057AC_MSG_CHECKING([whether we need to create a dummy strings.h file])
  • ThirdParty/Metis/branches/BSPsplit/metis-uninstalled.pc.in

    r1434 r1446  
    11prefix=@prefix@
    2 libdir=@METISOBJDIR@
     2libdir=@ABSBUILDDIR@
    33
    44Name: Metis
     
    66Version: 4.0
    77Libs: -L${libdir} -lcoinmetis @ADDLIBS@
    8 Cflags: -I@METISSRCDIR@/@METISDIR@/Lib
     8Cflags: -I@abs_source_dir@/@METISDIR@/Lib
Note: See TracChangeset for help on using the changeset viewer.